# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class MessageEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<MessageEntry>
                  com.google.gdata.data.webmastertools.MessageEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class MessageEntry

extends BaseEntry<MessageEntry>

This class represents a message entry. It contains information of a message of the Notification Console. The message is identified by the MessageId (accessed through getId() and setId(), which are implemented in BaseEntry) and its fields are: subject, date, read / unread, language and message body. Example (common Atom nodes are omitted):

       <entry>
         <id>1234-12345678/</id>
         en
         Crawl rate change request for
           http://www.example.com/
         2007-1-1T18:30:00.000Z
         false
         We've received a request from a site owner to change the rate
           at which Googlebot crawls this site: http://www.example.com/.
           Old crawl rate: Slower, New crawl rate: Normal, This new crawl rate
           will stay in effect for 90 days.
       </entry>

Nested Class Summary
`static class` `MessageEntry.BodyExtension` Value construct to represent field.
`static class` `MessageEntry.DateExtension` DateTimeValueConstruct to represent <date> field.
`static class` `MessageEntry.LanguageExtension` Value construct to represent <language> field.
`static class` `MessageEntry.ReadExtension` BoolValueConstruct to represent <read> field.
`static class` `MessageEntry.SubjectExtension` Value construct to represent <subject> field.

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MessageEntry()` Constructs a new MessageEntry.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Initializes an ExtensionProfile based upon the extensions expected by a MessageEntry.
`java.lang.String` `getBody()` Returns the body of the message.
`DateTime` `getDate()` Returns the Date field of the message.
`java.lang.String` `getLanguage()` Returns the Language field of the message.
`boolean` `getRead()` Get the Read status of the message.
`java.lang.String` `getSubject()` Returns the Subject field of the message.
`void` `setBody(java.lang.String body)` Changes the body of the message.
`void` `setDate(DateTime date)` Changes the Date field of the message.
`void` `setLanguage(java.lang.String language)` Changes the Language field of the message.
`void` `setRead(boolean read)` Changes the Read status of the message.
`void` `setSubject(java.lang.String subject)` Changes the Subject field of the message.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEntry

    public MessageEntry()

  Constructs a new MessageEntry.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Initializes an ExtensionProfile based upon the extensions expected by a MessageEntry. It specifies which nodes are expected.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### setLanguage

    public void setLanguage(java.lang.String language)

  Changes the Language field of the message.

  Parameters:
    `language` - is a new Language field for the message.

### getLanguage

    public java.lang.String getLanguage()

  Returns the Language field of the message.

  Returns:
    the Language field of the message.

### setSubject

    public void setSubject(java.lang.String subject)

  Changes the Subject field of the message.

  Parameters:
    `subject` - is a new Subject field for the message.

### getSubject

    public java.lang.String getSubject()

  Returns the Subject field of the message.

  Returns:
    the Subject field of the message.

### setDate

    public void setDate(DateTime date)

  Changes the Date field of the message.

  Parameters:
    `date` - is a new `DateTime` for the message.

### getDate

    public DateTime getDate()

  Returns the Date field of the message.

  Returns:
    the `DateTime` Date field of the message.

### setRead

    public void setRead(boolean read)

  Changes the Read status of the message.

  Parameters:
    `read` - is the new Read status of the message.

### getRead

    public boolean getRead()

  Get the Read status of the message.

  Returns:
    `true` if the message is marked as read and `false` otherwise.

### setBody

    public void setBody(java.lang.String body)

  Changes the body of the message.

  Parameters:
    `body` - is a new body for the message.

### getBody

    public java.lang.String getBody()

  Returns the body of the message.

  Returns:
    the body of the message.